| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
AnyDataWrapper< T > Class Template Referencefinal

`#include <GaudiKernel/AnyDataWrapper.h>`

Inheritance diagram for AnyDataWrapper< T >:
[legend]
Collaboration diagram for AnyDataWrapper< T >:
[legend]

## Public Member Functions
| AnyDataWrapper (T &&data)
| AnyDataWrapper (AnyDataWrapper &&other)
const T & | getData () const
T & | getData ()
std::optional< std::size_t > | size () const override
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Private Attributes
T | m_data

## Additional Inherited Members
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Detailed Description

### template<class T>
class AnyDataWrapper< T >

Definition at line 26 of file AnyDataWrapper.h.

## Constructor & Destructor Documentation

## ◆ AnyDataWrapper() [1/2]

template<class T>

AnyDataWrapper< T >::AnyDataWrapper | ( | T && | data | ) |
| inline

Definition at line 28 of file AnyDataWrapper.h.

28 : m_data( std::move( data ) ){};
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:42
std::move
T move(T... args)

## ◆ AnyDataWrapper() [2/2]

template<class T>

AnyDataWrapper< T >::AnyDataWrapper | ( | AnyDataWrapper< T > && | other | ) |
| inline

Definition at line 30 of file AnyDataWrapper.h.

31 : AnyDataWrapperBase( std::move( other ) ), m_data( std::move( other.m_data ) ){};
AnyDataWrapperBase
Definition: AnyDataWrapper.h:21
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:42
std::move
T move(T... args)

## Member Function Documentation

## ◆ getData() [1/2]

template<class T>

const T& AnyDataWrapper< T >::getData | ( |  | ) | const
| inline

Definition at line 33 of file AnyDataWrapper.h.

33 { return m_data; }
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:42

## ◆ getData() [2/2]

template<class T>

T& AnyDataWrapper< T >::getData | ( |  | ) |
| inline

Definition at line 34 of file AnyDataWrapper.h.

34 { return m_data; }
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:42

## ◆ size()

template<class T>

std::optional<std::size_t> AnyDataWrapper< T >::size | ( |  | ) | const
| inline override virtual

Implements AnyDataWrapperBase.

Definition at line 36 of file AnyDataWrapper.h.

36 {
37 using details::size;
38 return size( m_data );
39 }
details::size
constexpr auto size(const T &, Args &&...) noexcept
Definition: AnyDataWrapper.h:14
AnyDataWrapper::size
std::optional< std::size_t > size() const override
Definition: AnyDataWrapper.h:36
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:42

## Member Data Documentation

## ◆ m_data

template<class T>

T AnyDataWrapper< T >::m_data
| private

Definition at line 42 of file AnyDataWrapper.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/AnyDataWrapper.h